Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

3RI (3-Domain Secure Requestor Initiated) Use Cases


A 3RI transaction is an EMV 3-D Secure transaction that is initiated by the merchant instead of the cardholder. The merchant keeps the payment data from the initial payment so that the cardholder does not have to be present for subsequent 3RI transactions. Having the payment details from a previous transaction enables the merchant to obtain a new Cardholder Authentication Verification Value (CAVV) to authenticate when authorizing future payments.

The authorization request contains the consumerAuthenticationInformation.deviceChannel field. This process can be applied to these types of transactions:

  • Recurring payments: payments occur at regular intervals for an indefinite interval like subscription services.
  • Installment payments: payments occur at regular intervals for a fixed interval.
  • Refunded purchases: the cost of an item is refunded before the item is received. Any charges for damage or missing items can be charged back to the customer using a 3RI transaction.
  • Delayed shipments: an ordered item is out of stock delaying the shipment until the item is back in stock.
  • Split payments: an order is fulfilled in split shipments rather than in a single shipment because one of multiple items in the order is temporarily out of stock.
  • Multiple party commerce: a single entity or party makes multiple transactions with different merchants, for example, a travel agent booking flights, hotels, and tour excursions.
  • Unknown final transaction amount: extra charges are made to the customer for items such as hotel services, driving citations, or tips.

Challenge Responses to 3RI Transactions

The directory server prohibits any challenge response from an issuer in 3RI transactions because the cardholder is not present for authentication. If an issuer does respond with a challenge, the directory server:

  • Returns an ARes with a Transaction Status (transStatus) = N and a Transaction Status Reason (transStatusReason) = 87 (Transaction is excluded from Attempts Processing) to the 3-D Secure Server (merchant).
  • Sends an error message (Erro) to the Access Control Server (ACS), with Error Code (errorCode) = 203 (Format of one or more data elements is invalid according to the specification.)

When you receive this response, find an alternate way of processing the transaction. Examples include going directly to authorization, or when the cardholder is present, resending the transaction. When you receive this response, contact your acquirer to raise the issue with customer support.

For Merchant Initiated Transactions which are expected to be frictionless, device details are not required in the MIT authentication transaction.

Network-Specific Values for Multi-Party Commerce/OTA

When the request body requires a previous authentication reference ID (consumerAuthenticationInformation.priorAuthenticationReferenceId), use the network-specific value found in one of these fields in the original response:

  • Visa: consumerAuthenticationInformation.acsTransactionId
  • Mastercard: consumerAuthenticationInformation.directoryServerTransactionId

When the request body requires a value from the consumerAuthenticationInformation.requestorInitiatedAuthenticationIndicator field and the 3RI transaction type is multi-party commerce, use one of these network-specific values:

  • Visa: 11 (Other payment)
  • Mastercard: 85 (Agent payment)

Note that Mastercard uses the Electronic Commerce Indicator (ECI) value of 07 for 3RI transactions.

1a: Initial Recurring Transaction

In this instance, the merchant initiates a 3RI recurring transaction that is a fixed amount for a set of transactions with no established expiration, such as with a subscription purchase.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 28X5

POST /risk/v1/authentication-setups

Example: 3RI 1a Check Enrollment

{  "orderInformation": {    "amountDetails": {      "currency": "eur",      "totalAmount": "100.00"    },    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2029",      "number": "<test-visa-pan>"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "recurringPaymentInformation": {    "endDate": "20240906",    "frequency": "31",    "numberOfPayments": "1",    "originalPurchaseDate": "2024080511243877",    "sequenceNumber": "1"  },  "consumerAuthenticationInformation": {    "strongAuthentication": {      "authenticationIndicator": "02"    },    "challengeCode": "03",    "deviceChannel": "Browser",    "messageCategory": "01",    "referenceId": "CybsCruiseTester-ddb08174"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "challengeRequired": "N",    "authenticationTransactionId": "ZtO0mD5q7PmRUG4v2NZ0",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "token": "AxjzbwSTiS4ZKSmMkFZDABECT34jGC2P0h04ghLLtaSZV0ekj0yAsAAAUgae",    "acsUrl": "https://0merchantacsstag.cardinalcommerce.com/MerchantACSWeb/creq.jsp",    "acsReferenceNumber": "Cardinal ACS",    "pareq": "eyJtZXNzYWdlVHlwZSI6IkNSZXEi...",    "directoryServerTransactionId": "bf67e7e6-c8cf-4b93-a211-3f4f60b07524",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "b2471dfa-3aad-479d-8b13-b86c5143979c",    "acsOperatorID": "MerchantACS",    "specificationVersion": "2.2.0",    "acsTransactionId": "c925d73c-0cb0-4b3a-b3fa-2c4ca402d8b6"  },  "errorInformation": {    "reason": "CONSUMER_AUTHENTICATION_REQUIRED",    "message": "The cardholder is enrolled in Payer Authentication. Please authenticate the cardholder before continuing with the transaction."  },  "id": "7252892152426444904003",  "paymentInformation": {    "card": {      "bin": "520000",      "type": "MASTERCARD"    }  },  "status": "PENDING_AUTHENTICATION",  "submitTimeUtc": "2024-09-02T15:00:15Z"}

Example: 3RI 1a Validate Challenge

{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "paymentInformation": {    "card": {      "type": "002"    }  },  "consumerAuthenticationInformation": {    "authenticationTransactionId": "ZtO0mD5q7PmRUG4v2NZ0"  }}
{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "consumerAuthenticationInformation": {    "indicator": "spa",    "eciRaw": "07",    "authenticationResult": "0",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "authenticationStatusMsg": "Success",    "eci": "07",    "token": "AxijLwSTiS5mZJ9Q0OxhABFPfiMZU1QCEtDJpJlXR6SPTIAA9Rdp",    "cavv": "AAIBBYNoEwAAACcKhAJkdQAAAAA=",    "paresStatus": "Y",    "xid": "AAIBBYNoEwAAACcKhAJkdQAAAAA=",    "directoryServerTransactionId": "bf67e7e6-c8cf-4b93-a211-3f4f60b07524",    "threeDSServerTransactionId": "b2471dfa-3aad-479d-8b13-b86c5143979c",    "specificationVersion": "2.2.0",    "acsTransactionId": "c925d73c-0cb0-4b3a-b3fa-2c4ca402d8b6"  },  "id": "7252913891376641404001",  "paymentInformation": {    "card": {      "bin": "520000",      "type": "MASTERCARD"    }  },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T15:36:29Z"}
Required Fields for 3RI 1a
consumerAuthenticationInformation.challengeCode string

Set to 03.

consumerAuthenticationInformation.deviceChannel string

Set to Browser.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

recurringPaymentInformation.endDate string
recurringPaymentInformation.frequency string
recurringPaymentInformation.numberOfPayments string
recurringPaymentInformation.originalPurchaseDate string
recurringPaymentInformation.sequenceNumber string

1b: Recurring Payments: Subsequent Transaction (Mastercard)

In this instance, the merchant is running a subsequent 3RI recurring transaction that is a fixed amount for a set of payments with no established expiration such as a subscription purchase.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 2235

POST /risk/v1/authentication-setups

Example: 3RI 1b Subsequent Recurring Validate

{  "orderInformation": {    "amountDetails": {      "currency": "eur",      "totalAmount": "100.00"    },    "lineItems": [      {        "unitPrice": "120.00"      }    ],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX2235"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "recurringPaymentInformation": {    "endDate": "20240906",    "frequency": "31",    "numberOfPayments": "1",    "originalPurchaseDate": "2024080511243877",    "sequenceNumber": "1"  },  "consumerAuthenticationInformation": {    "strongAuthentication": {      "authenticationIndicator": "02"    },    "authenticationDate": "20190829154531",    "deviceChannel": "3RI",    "messageCategory": "01",    "priorAuthenticationData": "bf67e7e6-c8cf-4b93-a211-3f4f60b07524",    "requestorInitiatedAuthenticationIndicator": "01",    "referenceId": "CybsCruiseTester-ddb08174"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "eciRaw": "02",    "authenticationTransactionId": "cE217c8rl01I71fwGU30",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "token": "AxjzbwSTiS6VNMwh1gIkABECT34jGdA30h04ghLQyaSZV0ekj0yAmAAAzwTj",    "paresStatus": "Y",    "acsReferenceNumber": "Cardinal ACS",    "ucafCollectionIndicator": "2",    "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "directoryServerTransactionId": "5791e23c-c10a-4dae-b2c9-4abc766fce2c",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "db112903-7d0e-4ad8-9cb8-31a0e634a24b",    "acsOperatorID": "MerchantACS",    "ecommerceIndicator": "spa",    "specificationVersion": "2.2.0",    "acsTransactionId": "f8a69dc8-2869-491b-b562-0fc7361333f0"  },  "id": "7252927068116474004004",  "paymentInformation": {    "card": {      "bin": "520000",      "type": "MASTERCARD"    }  },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T15:58:27Z"}
Required Fields for 3RI 1b
consumerAuthenticationInformation.deviceChannel string

Set to 3RI.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

recurringPaymentInformation.endDate string
recurringPaymentInformation.frequency string
recurringPaymentInformation.numberOfPayments string
recurringPaymentInformation.originalPurchaseDate string
recurringPaymentInformation.sequenceNumber string

2a: Installment: Customer Initiated Transaction (Mastercard)

In this instance, the initial authentication is for the total amount for all of the future installments. After the customer completes the initial authentication, subsequent installments do not require authentication and go directly to authorization, which is Mastercard's preferred process.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 28X5

POST /risk/v1/authentication-setups

Example: 3RI 2a Installment Enrollment

{  "orderInformation": {    "amountDetails": {      "currency": "eur",      "totalAmount": "100.00"    },    "lineItems": [      {        "unitPrice": "120.00"      }    ],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX28X5"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "recurringPaymentInformation": {    "endDate": "20240906",    "frequency": "31",    "numberOfPayments": "1",    "originalPurchaseDate": "2024080511243877",    "sequenceNumber": "1"  },  "consumerAuthenticationInformation": {    "strongAuthentication": {      "authenticationIndicator": "03"    },    "authenticationDate": "20190829154531",    "deviceChannel": "Browser",    "installmentTotalCount": "2",    "messageCategory": "01",    "referenceId": "CybsCruiseTester-2551acb2"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "challengeRequired": "N",    "authenticationTransactionId": "RTk6DV9Nsv2I1d8BSh40",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "token": "AxjzbwSTiTXaKSxK9bBhABECT34jN2Sb0h04ghLLtaSZV0ekj0yAsAAAxQTL",    "acsUrl": "https://0merchantacsstag.cardinalcommerce.com/MerchantACSWeb/creq.jsp",    "acsReferenceNumber": "Cardinal ACS",    "pareq": "eyJtZXNzYWdlVHlwZSI6IkNSZXEiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwidGhyZWVEU1NlcnZlclRyYW5zSUQiOiIzYzVhMzExMS1lYmVkLTRjNzUtOWQ5YS00M2QyZTEwYzkyYTciLCJhY3NUcmFuc0lEIjoiMTVlNDZmNWItNTcwZS00OWMwLTkyYzYtYmQyMTdiN2MxZTkxIiwiY2hhbGxlbmdlV2luZG93U2l6ZSI6IjAyIn0",    "directoryServerTransactionId": "2a9df334-1fa9-4dfe-9b1d-f4a2f14ba003",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "3c5a3111-ebed-4c75-9d9a-43d2e10c92a7",    "acsOperatorID": "MerchantACS",    "specificationVersion": "2.2.0",    "acsTransactionId": "15e46f5b-570e-49c0-92c6-bd217b7c1e91"  },  "errorInformation": {    "reason": "CONSUMER_AUTHENTICATION_REQUIRED",    "message": "The cardholder is enrolled in Payer Authentication. Please authenticate the cardholder before continuing with the transaction."  },  "id": "7253450880266999804001",  "paymentInformation": {    "card": {      "bin": "520000",      "type": "MASTERCARD"    }  },  "status": "PENDING_AUTHENTICATION",  "submitTimeUtc": "2024-09-03T06:31:28Z"}

Example: 3RI 2a Installment Validate

{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "consumerAuthenticationInformation": {    "authenticationTransactionId": "RTk6DV9Nsv2I1d8BSh40"  }}
{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "consumerAuthenticationInformation": {    "indicator": "spa",    "eciRaw": "02",    "authenticationResult": "0",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "authenticationStatusMsg": "Success",    "token": "AxijLwSTiTXcdJ2PhbzFABFPfiM3dQgCEtDJpJlXR6SPTIAAJRcM",    "paresStatus": "Y",    "ucafCollectionIndicator": "2",    "ucafAuthenticationData": "AAIBBYNoEwAAACcKhAJkdQAAAAA=",    "directoryServerTransactionId": "2a9df334-1fa9-4dfe-9b1d-f4a2f14ba003",    "threeDSServerTransactionId": "3c5a3111-ebed-4c75-9d9a-43d2e10c92a7",    "specificationVersion": "2.2.0",    "acsTransactionId": "15e46f5b-570e-49c0-92c6-bd217b7c1e91"  },  "id": "7253451526166806904005",  "paymentInformation": {    "card": {      "bin": "520000",      "type": "MASTERCARD"    }  },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-03T06:32:32Z"}
Required Fields for 3RI 2a
consumerAuthenticationInformation.challengeCode string

Set to 03.

consumerAuthenticationInformation.deviceChannel string

Set to Browser.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

recurringPaymentInformation.endDate string
recurringPaymentInformation.frequency string
recurringPaymentInformation.numberOfPayments string
recurringPaymentInformation.originalPurchaseDate string
recurringPaymentInformation.sequenceNumber string

3a: Split/Partial Shipment (Mastercard)

In this instance, the purchase includes multiple items that do not become available for shipment at the same time. A 3RI authentication is used for each subsequent partial shipment.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 2235

POST /risk/v1/authentication-setups

Example: 3RI 3a Split Shipment Enrollment (Mastercard)

{  "orderInformation": {    "amountDetails": {      "currency": "eur",      "totalAmount": "100.00"    },    "lineItems": [{ "unitPrice": "120.00" }],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX2235"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "recurringPaymentInformation": {    "endDate": "20240906",    "frequency": "31",    "numberOfPayments": "1",    "originalPurchaseDate": "2024080511243877",    "sequenceNumber": "1"  },  "consumerAuthenticationInformation": {    "strongAuthentication": { "authenticationIndicator": "02" },    "challengeCode": "03",    "deviceChannel": "3RI",    "messageCategory": "01",    "priorAuthenticationData": "bf67e7e6-c8cf-4b93-a211-3f4f60b07524",    "priorAuthenticationMethod": "02",    "priorAuthenticationTime": "202408051124",    "requestorInitiatedAuthenticationIndicator": "06",    "referenceId": "CybsCruiseTester-ddb08174"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "eciRaw": "02",    "authenticationTransactionId": "dgHSe0WYJbcT51D8pTQ0",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "token": "AxjzbwSTiS7CLi6JgeyFABECT34jGkKb0h04ghLQyaSZV0ekj0yAmAAAzwTl",    "paresStatus": "Y",    "acsReferenceNumber": "Cardinal ACS",    "ucafCollectionIndicator": "2",    "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "directoryServerTransactionId": "1740697e-f8bd-4fde-8a12-c95e398c2409",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "c9c607a1-a130-4226-8a22-376e1183a5ae",    "acsOperatorID": "MerchantACS",    "ecommerceIndicator": "spa",    "specificationVersion": "2.2.0",    "acsTransactionId": "74fd3b64-5abb-4ac2-b090-1fba79996123"  },  "id": "7252939727216490704005",  "paymentInformation": { "card": { "bin": "520000", "type": "MASTERCARD" } },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T16:19:32Z"}
Required Fields for 3RI 3a
consumerAuthenticationInformation.challengeCode string

Set to 03.

consumerAuthenticationInformation.deviceChannel string

Set to 3RI.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

consumerAuthenticationInformation.requestorInitiatedAuthenticationIndicator string

Set to 06.

3b: Split/Delayed Shipment (Visa)

In this instance, the purchase includes multiple items that do not become available for shipment at the same time. A 3RI authentication is used for each subsequent delayed shipment.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 2235

POST /risk/v1/authentication-setups

Example: 3RI 3b Split Shipment Enrollment (Visa)

{  "orderInformation": {    "amountDetails": {      "currency": "eur",      "totalAmount": "100.00"    },    "lineItems": [{ "unitPrice": "120.00" }],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "001",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX2235"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "consumerAuthenticationInformation": {    "strongAuthentication": { "authenticationIndicator": "01" },    "deviceChannel": "3RI",    "messageCategory": "01",    "priorAuthenticationMethod": "02",    "priorAuthenticationReferenceId": "74fd3b64-5abb-4ac2-b090-1fba79996123",    "priorAuthenticationTime": "202408051124",    "requestorInitiatedAuthenticationIndicator": "06",    "referenceId": "CybsCruiseTester-ddb08174"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "eciRaw": "05",    "authenticationTransactionId": "kvaz0784ZnNyUBg9U8t0",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "eci": "05",    "token": "AxjzbwSTiS7a+V0I6DbGABEBT34jGnMj0h04ghLQyaSZV0ekj0yAcAAAsQar",    "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "paresStatus": "Y",    "acsReferenceNumber": "Cardinal ACS",    "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "directoryServerTransactionId": "ebf656a8-c5da-412d-873f-9f4d3fa9a625",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "4777bd69-fcef-4725-b41b-84a346d83d0a",    "acsOperatorID": "MerchantACS",    "ecommerceIndicator": "vbv",    "specificationVersion": "2.2.0",    "acsTransactionId": "4381f3b5-09b1-4248-992a-89f6514064d7"  },  "id": "7252946706016498104006",  "paymentInformation": { "card": { "bin": "400000", "type": "VISA" } },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T16:31:10Z"}
Required Fields for 3RI 3b
consumerAuthenticationInformation.deviceChannel string

Set to 3RI.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

consumerAuthenticationInformation.requestorInitiatedAuthenticationIndicator string

Set to 06.

4a: Multi-Party Commerce or OTA: Travel Booking (Visa)

In this test case, a travel booking merchant creates a multi-party transaction for Visa. Refer to the network-specific values section for this use case.

Card TypeTest Card Number
Visa (Card Type = 001)4XXXXX XX XXXX 27X1

POST /risk/v1/authentication-setups

Example: 3RI 4a Multi-Party Visa Enrollment

{  "orderInformation": {    "amountDetails": { "currency": "eur", "totalAmount": "100.00" },    "lineItems": [{ "unitPrice": "120.00" }],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "001",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "4XXXXXXXXXXX27X1"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "consumerAuthenticationInformation": {    "strongAuthentication": { "authenticationIndicator": "01" },    "deviceChannel": "3RI",    "messageCategory": "01",    "priorAuthenticationMethod": "02",    "priorAuthenticationReferenceId": "74fd3b64-5abb-4ac2-b090-1fba79996123",    "priorAuthenticationTime": "202408051124",    "requestorInitiatedAuthenticationIndicator": "11",    "referenceId": "CybsCruiseTester-ddb08174"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "eciRaw": "05",    "authenticationTransactionId": "GLO987AF3GRfk4IAAO10",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "eci": "05",    "token": "AxjzbwSTiS7hKm5H9W8jABEBT34jGnwr0h04ghLQyaSZV0ekj0yAcAAAtQax",    "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "paresStatus": "Y",    "acsReferenceNumber": "Cardinal ACS",    "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "directoryServerTransactionId": "5c1ee075-b8d7-43f0-9525-51de793125a0",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "f7ddddc1-cd06-4fd1-b1e6-db37e0379451",    "acsOperatorID": "MerchantACS",    "ecommerceIndicator": "vbv",    "specificationVersion": "2.2.0",    "acsTransactionId": "1dd0c6ac-03fd-46dd-b6ea-54bb5d337db2"  },  "id": "7252948448816500404003",  "paymentInformation": { "card": { "bin": "400000", "type": "VISA" } },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T16:34:05Z"}
Required Fields for 3RI 4a
consumerAuthenticationInformation.deviceChannel string

Set to 3RI.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 02.

consumerAuthenticationInformation.requestorInitiatedAuthenticationIndicator string

Set to 11 (Visa: Other payment).

consumerAuthenticationInformation.priorAuthenticationReferenceId string

Set to 01.

4b: Multi-Party Commerce or OTA: Travel Booking (Mastercard)

In this test case, a travel booking merchant creates a multi-party transaction for Mastercard.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 28X5

POST /risk/v1/authentication-setups

Example: 3RI 4b Multi-Party Mastercard Enrollment

{  "orderInformation": {    "amountDetails": { "currency": "eur", "totalAmount": "100.00" },    "lineItems": [{ "unitPrice": "120.00" }],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX28X5"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "recurringPaymentInformation": {    "endDate": "20240906",    "frequency": "31",    "numberOfPayments": "1",    "originalPurchaseDate": "2024080511243877",    "sequenceNumber": "1"  },  "consumerAuthenticationInformation": {    "strongAuthentication": { "authenticationIndicator": "85" },    "challengeCode": "03",    "deviceChannel": "Browser",    "messageCategory": "01",    "priorAuthenticationMethod": "02",    "priorAuthenticationReferenceId": "74fd3b64-5abb-4ac2-b090-1fba79996123",    "priorAuthenticationTime": "202408051124",    "referenceId": "CybsCruiseTester-500582d1"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "challengeRequired": "N",    "authenticationTransactionId": "UjGENvX5ALCk1Yov31m0",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "token": "AxjzbwSTiS7ruvMgAiEDABECT34jGqAX0h04ghLLtaSZV0ekj0yAsAAAwQTD",    "acsUrl": "https://0merchantacsstag.cardinalcommerce.com/MerchantACSWeb/creq.jsp",    "acsReferenceNumber": "Cardinal ACS",    "pareq": "eyJtZXNzYWdlVHlwZSI6IkNSZXEiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwidGhyZWVEU1NlcnZlclRyYW5zSUQiOiI3ODc3MjhmNy1iYzczLTQ0NzAtYTNlMC05ZDE1MjRlN2NhMTQiLCJhY3NUcmFuc0lEIjoiMDYzMzg2ODItYWYzMi00OWEwLWI4NWItZTViMjI1NzlmZmJjIiwiY2hhbGxlbmdlV2luZG93U2l6ZSI6IjAyIn0",    "directoryServerTransactionId": "b25e6688-6b10-4942-a8a1-cc5b5f7ad9af",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "787728f7-bc73-4470-a3e0-9d1524e7ca14",    "acsOperatorID": "MerchantACS",    "specificationVersion": "2.2.0",    "acsTransactionId": "06338682-af32-49a0-b85b-e5b22579ffbc"  },  "errorInformation": {    "reason": "CONSUMER_AUTHENTICATION_REQUIRED",    "message": "The cardholder is enrolled in Payer Authentication. Please authenticate the cardholder before continuing with the transaction."  },  "id": "7252951422466502304003",  "paymentInformation": { "card": { "bin": "520000", "type": "MASTERCARD" } },  "status": "PENDING_AUTHENTICATION",  "submitTimeUtc": "2024-09-02T16:39:02Z"}

Example: 3RI 4b Multi-Party Mastercard Validate

{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "consumerAuthenticationInformation": {    "authenticationTransactionId": "UjGENvX5ALCk1Yov31m0"  }}
{  "clientReferenceInformation": {    "code": "pavalidatecheck",    "partner": {      "developerId": "7891234",      "solutionId": "89012345"    }  },  "consumerAuthenticationInformation": {    "indicator": "spa",    "eciRaw": "02",    "authenticationResult": "0",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "authenticationStatusMsg": "Success",    "token": "AxijLwSTiS7u/oVLPQ0mABFPfiMaqKgCEtDJpJlXR6SPTIAAkRY+",    "paresStatus": "Y",    "ucafCollectionIndicator": "2",    "ucafAuthenticationData": "AAIBBYNoEwAAACcKhAJkdQAAAAA=",    "directoryServerTransactionId": "b25e6688-6b10-4942-a8a1-cc5b5f7ad9af",    "threeDSServerTransactionId": "787728f7-bc73-4470-a3e0-9d1524e7ca14",    "specificationVersion": "2.2.0",    "acsTransactionId": "06338682-af32-49a0-b85b-e5b22579ffbc"  },  "id": "7252952341186502004006",  "paymentInformation": { "card": { "bin": "520000", "type": "MASTERCARD" } },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-02T16:40:34Z"}
Required Fields for 3RI 4b
consumerAuthenticationInformation.challengeCode string

Set to 03.

consumerAuthenticationInformation.deviceChannel string

Set to Browser.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 85 (Mastercard: Agent payment).

recurringPaymentInformation.endDate string
recurringPaymentInformation.frequency string
recurringPaymentInformation.numberOfPayments string
recurringPaymentInformation.originalPurchaseDate string
recurringPaymentInformation.sequenceNumber string

4c: Multi-Party Commerce or OTA: Recurring Transaction (Mastercard)

The merchant initiates a 3RI recurring transaction of a fixed amount for a specified number of transactions using Mastercard.

Card TypeTest Card Number
Mastercard (Card Type = 002)52XXXX XX XXXX 2235

POST /risk/v1/authentication-setups

Example: 3RI 4c Multi-Party Mastercard Enrollment

{  "orderInformation": {    "amountDetails": { "currency": "eur", "totalAmount": "100.00" },    "lineItems": [{ "unitPrice": "120.00" }],    "billTo": {      "address1": "201 S. Division St.",      "administrativeArea": "MI",      "country": "US",      "locality": "Ann Arbor",      "firstName": "RTS",      "lastName": "VDP",      "email": "[email protected]",      "postalCode": "48104-2201"    }  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2027",      "number": "52XXXXXXXXXX2235"    }  },  "deviceInformation": {    "httpAcceptContent": "all",    "httpBrowserLanguage": "en",    "httpBrowserJavaEnabled": "y",    "httpBrowserColorDepth": 1,    "httpBrowserScreenHeight": 1,    "httpBrowserScreenWidth": 1,    "httpBrowserTimeDifference": 5,    "userAgentBrowserValue": "chrome"  },  "consumerAuthenticationInformation": {    "strongAuthentication": { "authenticationIndicator": "85" },    "deviceChannel": "3RI",    "messageCategory": "01",    "priorAuthenticationMethod": "02",    "priorAuthenticationReferenceId": "74fd3b64-5abb-4ac2-b090-1fba79996123",    "priorAuthenticationTime": "202408051124",    "requestorInitiatedAuthenticationIndicator": "85",    "referenceId": "CybsCruiseTester-8e9d566d"  }}
{  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "eciRaw": "02",    "authenticationTransactionId": "teQ1a9eI9B6hf96QMHJ0",    "strongAuthentication": { "OutageExemptionIndicator": "0" },    "token": "AxjzbwSTiUMNwN7oizBEABECT34jdm670h04ghMQyaSZV0ekj0yAmAAAzwTp",    "paresStatus": "Y",    "acsReferenceNumber": "Cardinal ACS",    "ucafCollectionIndicator": "2",    "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",    "directoryServerTransactionId": "208c54bd-a067-4a45-a285-af22f02a5e07",    "veresEnrolled": "Y",    "threeDSServerTransactionId": "2a6f6351-58a8-4e7b-acbc-8fd3d5ab85f3",    "acsOperatorID": "MerchantACS",    "ecommerceIndicator": "spa",    "specificationVersion": "2.2.0",    "acsTransactionId": "932bc2de-6e7a-4b16-adfa-f6c8c1ce9628"  },  "id": "7254402151006708904004",  "paymentInformation": { "card": { "bin": "520000", "type": "MASTERCARD" } },  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2024-09-04T08:56:55Z"}
Required Fields for 3RI 4c
consumerAuthenticationInformation.deviceChannel string

Set to 3RI.

consumerAuthenticationInformation.messageCategory string

Set to 01.

consumerAuthenticationInformation.priorAuthenticationMethod string

Set to 02.

consumerAuthenticationInformation.priorAuthenticationReferenceId string
consumerAuthenticationInformation.priorAuthenticationTime string
consumerAuthenticationInformation.strongAuthentication.authenticationIndicator string

Set to 85.

consumerAuthenticationInformation.requestorInitiatedAuthenticationIndicator string

Set to 85 (Mastercard: Agent payment).

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.